namespace Knot.Modules.Relations.Domain;
using Knot.Shared.Kernel;

public static class IdentityErrors
{
    public static readonly Error UserNotFound = new("User.NotFound", "User not found");
    public static readonly Error FriendsNotFound = new("Friends.NotFound", "Friendship not found");
    public static readonly Error FriendsSelf = new("Friends.Self", "Cannot add self");
    public static readonly Error FriendsExists = new("Friends.Exists", "Friendship already exists");
}
